LinkGraphicConstants (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.link
Interface LinkGraphicConstants

All Known Implementing Classes:
  LinkArc, LinkBitmap, LinkCircle, LinkEllipse, LinkGraphicList, LinkGrid, LinkLine, LinkPoint, LinkPoly, LinkProperties, LinkRaster, LinkRectangle, LinkText

    public interface LinkGraphicConstants

The LinkGraphicConstants is an interface that defines the constants associated with link graphic objects. These constants are defined in the Link Protocol.

Field Summary
`static int` | `BASELINE_BOTTOM` Align the baseline of text to the location.
`static int` | `BASELINE_MIDDLE` Align the middle of text to the location.
`static int` | `BASELINE_TOP` Align the top of text to the location.
`static java.lang.String` | `BLACK_COLOR_STRING` The hex string representation of a black color, used as a default.
`static java.lang.String` | `CLEAR_COLOR_STRING` The hex string representation of a clear black color, used as a default.
`static int` | `COLORMODEL_DIRECT` The direct colormodel, for OMRasters, means the integer values passed in as pixels, already reflect the RGB color values each pixel should display.
`static int` | `COLORMODEL_INDEXED` The indexed colormodel, for OMRasters, means that the byte array passed in for the pixels has to be resolved with a colortable in order to create a integer array of RGB pixels.
`static int` | `COLORMODEL_URL` The ImageIcon colormode used that means that the image has to be downloaded from an URL.
`static int` | `COLUMN_MAJOR` For Grids, note that the columns are the primary dimension of the data.
`static int` | `COORDMODE_ORIGIN` Polygon Translation offsets.
`static int` | `COORDMODE_PREVIOUS` Polygon Delta offsets.
`static int` | `DECIMAL_DEGREES` The float coordinates are in decimal degrees.
`static int` | `GRAPHICTYPE_ARC` An arc type.
`static int` | `GRAPHICTYPE_BITMAP` A bitmap type.
`static int` | `GRAPHICTYPE_CIRCLE` A circle type.
`static int` | `GRAPHICTYPE_ELLIPSE` An ellipse type.
`static int` | `GRAPHICTYPE_GRAPHIC` The generic graphic type.
`static int` | `GRAPHICTYPE_GRID` A grid type.
`static int` | `GRAPHICTYPE_LINE` A line type.
`static int` | `GRAPHICTYPE_POINT` A point type.
`static int` | `GRAPHICTYPE_POLY` A polygon/polyline type.
`static int` | `GRAPHICTYPE_RASTER` A raster type.
`static int` | `GRAPHICTYPE_RECTANGLE` A rectangle type.
`static int` | `GRAPHICTYPE_TEXT` A text type.
`static int` | `JUSTIFY_CENTER` Align the text centered on the location.
`static int` | `JUSTIFY_LEFT` Align the text to the right of the location.
`static int` | `JUSTIFY_RIGHT` Align the text to the left of the location.
`static int` | `KM` Unit notation - kilometers.
`static int` | `LINETYPE_GREATCIRCLE` Line will be drawn on the shortest geographical path between two locations.
`static int` | `LINETYPE_RHUMB` Line will be drawn on a constant bearing between two points.
`static int` | `LINETYPE_STRAIGHT` Line will be drawn straight between window points.
`static int` | `LINETYPE_UNKNOWN` Line type is unknown.
`static int` | `MILES` Unit notation - miles.
`static int` | `NMILES` Unit notation - nautical miles.
`static int` | `RADIANS` The float coordinates are in radians.
`static int` | `RENDERTYPE_LATLON` The graphic should be projected relative to its lat/lon position.
`static int` | `RENDERTYPE_OFFSET` The graphic should be projected in window space relative to a lat/lon position.
`static int` | `RENDERTYPE_UNKNOWN` Render type is unknown.
`static int` | `RENDERTYPE_XY` The graphic should be projected relative to its window position.
`static int` | `ROW_MAJOR` For Grids, note that the rows are the primary dimension of the data.

Field Detail

### COLORMODEL_DIRECT

    static final int COLORMODEL_DIRECT

  The direct colormodel, for OMRasters, means the integer values passed in as pixels, already reflect the RGB color values each pixel should display.

  See Also:
    Constant Field Values

### COLORMODEL_INDEXED

    static final int COLORMODEL_INDEXED

  The indexed colormodel, for OMRasters, means that the byte array passed in for the pixels has to be resolved with a colortable in order to create a integer array of RGB pixels.

  See Also:
    Constant Field Values

### COLORMODEL_URL

    static final int COLORMODEL_URL

  The ImageIcon colormode used that means that the image has to be downloaded from an URL. Right now, the IMAGEICON colormodel does this. At some point, it will be changed.

  See Also:
    Constant Field Values

### LINETYPE_UNKNOWN

    static final int LINETYPE_UNKNOWN

  Line type is unknown.

  See Also:
    Constant Field Values

### LINETYPE_STRAIGHT

    static final int LINETYPE_STRAIGHT

  Line will be drawn straight between window points.

  See Also:
    Constant Field Values

### LINETYPE_RHUMB

    static final int LINETYPE_RHUMB

  Line will be drawn on a constant bearing between two points.

  See Also:
    Constant Field Values

### LINETYPE_GREATCIRCLE

    static final int LINETYPE_GREATCIRCLE

  Line will be drawn on the shortest geographical path between two locations.

  See Also:
    Constant Field Values

### RENDERTYPE_UNKNOWN

    static final int RENDERTYPE_UNKNOWN

  Render type is unknown.

  See Also:
    Constant Field Values

### RENDERTYPE_LATLON

    static final int RENDERTYPE_LATLON

  The graphic should be projected relative to its lat/lon position.

  See Also:
    Constant Field Values

### RENDERTYPE_XY

    static final int RENDERTYPE_XY

  The graphic should be projected relative to its window position.

  See Also:
    Constant Field Values

### RENDERTYPE_OFFSET

    static final int RENDERTYPE_OFFSET

  The graphic should be projected in window space relative to a lat/lon position.

  See Also:
    Constant Field Values

### GRAPHICTYPE_GRAPHIC

    static final int GRAPHICTYPE_GRAPHIC

  The generic graphic type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_BITMAP

    static final int GRAPHICTYPE_BITMAP

  A bitmap type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_TEXT

    static final int GRAPHICTYPE_TEXT

  A text type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_POLY

    static final int GRAPHICTYPE_POLY

  A polygon/polyline type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_LINE

    static final int GRAPHICTYPE_LINE

  A line type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_RECTANGLE

    static final int GRAPHICTYPE_RECTANGLE

  A rectangle type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_CIRCLE

    static final int GRAPHICTYPE_CIRCLE

  A circle type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_RASTER

    static final int GRAPHICTYPE_RASTER

  A raster type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_GRID

    static final int GRAPHICTYPE_GRID

  A grid type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_POINT

    static final int GRAPHICTYPE_POINT

  A point type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_ARC

    static final int GRAPHICTYPE_ARC

  An arc type.

  See Also:
    Constant Field Values

### GRAPHICTYPE_ELLIPSE

    static final int GRAPHICTYPE_ELLIPSE

  An ellipse type.

  See Also:
    Constant Field Values

### DECIMAL_DEGREES

    static final int DECIMAL_DEGREES

  The float coordinates are in decimal degrees.

  See Also:
    Constant Field Values

### RADIANS

    static final int RADIANS

  The float coordinates are in radians.

  See Also:
    Constant Field Values

### KM

    static final int KM

  Unit notation - kilometers.

  See Also:
    Constant Field Values

### MILES

    static final int MILES

  Unit notation - miles.

  See Also:
    Constant Field Values

### NMILES

    static final int NMILES

  Unit notation - nautical miles.

  See Also:
    Constant Field Values

### COORDMODE_ORIGIN

    static final int COORDMODE_ORIGIN

  Polygon Translation offsets. For RENDERTYPE_OFFSET in a Poly, the xy points are relative to the position of fixed latlon point.

  See Also:
    Constant Field Values

### COORDMODE_PREVIOUS

    static final int COORDMODE_PREVIOUS

  Polygon Delta offsets. For RENDERTYPE_OFFSET in a Poly, each xy point in the array is relative to the previous point, and the first point is relative to the fixed latlon point.

  See Also:
    Constant Field Values

### JUSTIFY_LEFT

    static final int JUSTIFY_LEFT

  Align the text to the right of the location.

  See Also:
    Constant Field Values

### JUSTIFY_CENTER

    static final int JUSTIFY_CENTER

  Align the text centered on the location.

  See Also:
    Constant Field Values

### JUSTIFY_RIGHT

    static final int JUSTIFY_RIGHT

  Align the text to the left of the location.

  See Also:
    Constant Field Values

### BASELINE_BOTTOM

    static final int BASELINE_BOTTOM

  Align the baseline of text to the location.

  See Also:
    Constant Field Values

### BASELINE_MIDDLE

    static final int BASELINE_MIDDLE

  Align the middle of text to the location.

  See Also:
    Constant Field Values

### BASELINE_TOP

    static final int BASELINE_TOP

  Align the top of text to the location.

  See Also:
    Constant Field Values

### COLUMN_MAJOR

    static final int COLUMN_MAJOR

  For Grids, note that the columns are the primary dimension of the data.

  See Also:
    Constant Field Values

### ROW_MAJOR

    static final int ROW_MAJOR

  For Grids, note that the rows are the primary dimension of the data.

  See Also:
    Constant Field Values

### BLACK_COLOR_STRING

    static final java.lang.String BLACK_COLOR_STRING

  The hex string representation of a black color, used as a default.

  See Also:
    Constant Field Values

### CLEAR_COLOR_STRING

    static final java.lang.String CLEAR_COLOR_STRING

  The hex string representation of a clear black color, used as a default.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details